.bg-deep {
    background-color: #000000;
}
.bg-dark {
    background-color: #1A2838;                  /* alt: 1A2838 34495e 005757 003333 mediumpurple */
}
.bg-light {
    background-color: #2C3E50;
}
/* OTHERS: .bg-pale, .bg-shady... --> 5D737E */
.bg-active {
    background-color: #A9014B;
}
.bg-standout {
    background-color: #005757;
}
.bg-diamond {
    background-color: #D6F8FF;
}
.bg-emerald {
    background-color: #1E8549;
}
.bg-jade {
    background-color: #2ECC71;
}
.bg-garnet {
    background-color: #B62616;
}
.bg-ruby {
    background-color: #FF370A;
}
.bg-sapphire {
    background-color: #2B78AB;
}
.bg-aquamarine {
    background-color: #5AACE2;
}
.bg-amethyst {
    background-color: #8D43AD;
}
.bg-rhodolite {
    background-color: #AE78C4;
}
.bg-topaz {
    background-color: #F4A425;
}
.bg-citrine {
    background-color: #F0D775;
}
.bg-sardonyx {
    background-color: #FF7700;
}
.bg-turquoise {
    background-color: #1ABC9C;
}

body {
    background-color: #34495e;
    margin: 0;
}

nav {
    background-color: #005757;
    color: #CCCCCC;
    border-bottom: solid 2px #CCCCCC;

    display: flex;
    flex-direction: row;
    justify-content: space-between;
    
    padding: 5px 0vw 5px 0vw;
    margin-bottom: 20px;
}

.btn-unstyled {
    background: none;
    border: none;
    padding: 0;
    margin: 0;
}
.btn-action {
    cursor: pointer;
}
.btn-copy {
    cursor: copy;
}
.btn-context {
    opacity: 0;
    transition: opacity 0.8s ease-in-out;
  }
.btn {
    background-color: #A9014B;
    color: #CCCCCC;

    border-radius: 10px;
    padding: 8px;
    font-size: 18px;
}
.select {
    background-color: #CCCCCC;
    color: #2C3E50;

    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;

    display: flex;
    flex-grow: 1;

    border: solid #5D737E 3px;      /* alt: #576490 */
    border-radius: 20px;
    padding: 6px;           /* alt: padding 8px, font-size 12px */

    text-align: center;
    font-size: 14px;        /* alt: font-size 18px */
    font-family: 'Times New Roman', Times, serif;

    cursor: pointer;
}
.select:focus {
    outline: none;

    background-color: #EEEEEE;

    border: solid #A9014B 4px;
    border-radius: 20px;
}
.checkbox {
    background-color: #CCCCCC;

    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    
    width: 18px;            /* alt: width 20px, height 20px */
    height: 18px;

    border: 3px solid #5D737E;
    border-radius: 6px;
    margin-right: 6px;
    vertical-align: middle;

    cursor: pointer;
}
.checkbox:checked {
    background-color: #EEEEEE;              /* alt: A9014B */
    border-color: #8E9FA9;                  /* alt: 8899A1 96A5B2 EEEEEE */

    display: flex;
    justify-content: center;
    align-items: center;
}
.checkbox:checked:before {
    content: "";

    background-color: #A9014B;              /* alt: EEEEEE 2C3E50 005757 */

    display: block;
    width: 8px;
    height: 8px;

    border-radius: 2px;
}
.tab-checkbox {
    display: none;
}
.tab-checkbox:checked + .tab-label {
    background: #A9014B;
    color: #EEEEEE;
    
    border-top: solid #EEEEEE 3px;
    border-left: solid #EEEEEE 3px;
    border-right: solid #EEEEEE 3px;
}
.tab-content {
    display: none;
}
/* .tab-checkbox:checked + .tab-label + .tab-content {
    display: block;
} */

.marker-circle {
    width: 8px;
    height: 8px;
    border-radius: 50%;
    
    margin-right: 4px;
}

.nav-link {
    display: flex;
    flex-grow: 1;
    padding: 0;
}
.nav-link-start {
    border-right: solid 1px #CCCCCC;
}
.nav-link-mid {
    border-left: solid 1px #CCCCCC;
    border-right: solid 1px #CCCCCC;
}
.nav-link-end {
    border-left: solid 1px #CCCCCC;
}
.nav-link-content {
    color: #CCCCCC;
    text-decoration: none;

    flex-grow: 0.9;                                 /* alt = flex-grow: 1; no margin, no border-radius (alt = 6 ou 12px) */
    margin-left: auto;
    margin-right: auto;
    border-radius: 8px;

    /* padding: 10px 0 10px 0; */
    text-align: center;
    font-size: 16px;
    font-family: 'Times New Roman', Times, serif;

    cursor: pointer;
}
.nav-link-content:hover {
    background-color: #008383;
}
.nav-link-active {
    background-color: #007575;                      /* alt tints: #005757 #003333 #CCCCCC #66002F #008383 #A9014B #EEEEEE #F691B2 #DC3D85 #E55699 */
    color: #A9014B;

    font-weight: bolder;
}

.text-truncate {
    white-space: nowrap;       /* Disable line break */
    overflow: hidden;          /* Hide overflowing content */
    text-overflow: ellipsis;   /* Add suspension points (...) at the end */
}
.text-break {
    overflow-wrap: break-word;
}
.text-nobreak {
    white-space: nowrap;
}

.records-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    padding: 20px 10px 20px 10px;
}
.record-card {
    border: solid #CCCCCC 3px;
    border-radius: 15px;

    overflow: hidden;
    width: 200px;
    height: 200px;
    margin: 5px;
    
    z-index: 1;
}
.record-btn {
    width: 18px;
    height: 18px;

    cursor: pointer;
}
.record-btn-big {
    width: 36px;
    height: 36px;

    margin-left: auto;
    margin-right: auto;
}
.card-content {
    display: flex;
    flex-direction: column;
    /* justify-content: space-between; */
    justify-content: space-between;
    height: 80%;
    /* padding: 20px 10px 20px 10px; */
    padding: 5% 10px 15% 10px;
    background-color: #1A2838;      /* Alt = 233447 */

    position: relative;
}
.card-header {
    display: flex;
    justify-content: space-between;
    position: relative;
}
.card-title {
    color: #CCCCCC;

    text-align: center;
    font-size: 20px;
    margin-bottom: 2px;
    flex-grow: 1;

    cursor: pointer;
}
.card-widget {
    display: flex;
    flex-direction: column;
}
.card-crossed-line {
    border: solid #A9014B 3px;

    width: 142%;

    /* transform-origin: center; */
    position: absolute;
    left: -22.5%;
    top: 47.5%;
}
.card-btn {
    background-color: #2C3E50;
    color: #8FA1AF;                 /* alt: #CCCCCC */

    border: solid #5D737E 3px;      /* alt: #576490 */
    border-radius: 10px;
    padding: 6px;           /* alt: padding 8px, font-size 12px */

    text-align: center;
    font-size: 14px;        /* alt: font-size 18px */
    font-family: 'Times New Roman', Times, serif;

    cursor: pointer;
}
.card-btn-mini {
    /* border: solid #5D737E 2px; */
    border-radius: 8px;
    padding: 0;
}
.card-btn-trigger {
    background-color: #005757;
    color: #CCCCCC;

    border: solid #AAAAAA 3px;
    
    font-weight: bold;
}
.card-btn-active {
    background-color: #A9014B;
    color: #EEEEEE;

    border: solid #EEEEEE 3px;
}
.card-btn-row {
    display: flex;
    justify-content: space-between;
    position: relative;
    
    margin: 2px 0 2px 0;
}
.card-btn-sub70 {
    width: 125px;
}
.card-btn-sub50 {
    width: 85px;
}
.card-btn-sub40 {
    width: 68px;            /* alt: 74px; */
}
.card-btn-sub30 {
    width: 45px;
}
.card-btn-sub20 {
    width: 37px;
}
.card-btn-sub10 {
    width: 25px;
}
.card-btn-seg30 {
    height: 45px;
}
.card-btn-seg20 {
    height: 37px;
}
.card-btn-seg10 {
    height: 25px;
}
.card-input {
    width: 80%;                         /*  alt = neutralisé ou alt = width: 160-170px; */
    background-color: #CCCCCC;
    color: #2C3E50;

    border: solid #5D737E 3px;      /* alt: #576490 */
    border-radius: 20px;
    padding: 6px;           /* alt: padding 8px, font-size 12px */

    text-align: center;
    font-size: 14px;        /* alt: font-size 18px */
    font-family: 'Times New Roman', Times, serif;
    flex-grow: 1;
    /* height: 19px; */

    cursor: pointer;
}
.card-input:focus {
    outline: none;

    background-color: #EEEEEE;

    border: solid #A9014B 4px;
    border-radius: 20px;
}
.card-input-title {
    color: #8FA1AF;

    text-align: center;
    font-size: 10px;

    cursor: pointer;
}
.card-input-mini {
    width: 100px;
}
.card-input-mini-left {
    margin-right: 6px;
}
.card-input-mini-right {
    margin-left: 6px;
}

.select-arrow {
    color: #2C3E50;

    transform: rotate(90deg);
    position: absolute;
    right: 10%;
    top: 25%;

    pointer-events: none;
}
.select-options {
    font-size: 14px;        /* alt: font-size 18px */
    font-family: 'Times New Roman', Times, serif;
}

/* .popup {
    position: fixed;
    bottom: 0;
    right: 0;

    width: 300px;
    height: 200px;

    background-color: #003333;
    border: solid #5D737E 4px;
    border-radius: 20px;
    opacity: 0;
}
.popup-display {
    animation: fade-in 4s forwards;
}
@keyframes fade-in {
    0% { opacity: 0; }
    30% { opacity: 0.95; }
    70% { opacity: 0.95; }
    100% { opacity: 0; }
} */

.search-bar {
    display: flex;
    align-items: center;
    width: 100%;
    max-width: 400px;
    background-color: #FFF;
    border-radius: 20px;
    box-shadow: 0 2px 5px rgba(0,0,0,0.2);
}



/* form {
    display: flex;
    align-items: center;
  }
  
  label {
    margin-right: 10px;
  }
  
  input[type="search"] {
    border: 2px solid #00ff00;
    border-radius: 5px;
    padding: 5px;
    background-color: #fff;
  }
  
  button[type="submit"] {
    background-color: #00ff00;
    color: #fff;
    border: none;
    border-radius: 5px;
    padding: 5px 10px;
  } */
  
  select#my_select {
    background-color: #f1f1f1;
    color: #333;
    padding-top: 20px;
  }




/* Scrollbar */
::-webkit-scrollbar {
    width: 8px;
}
::-webkit-scrollbar-track {
    background-color: #CCCCCCAA;
    box-shadow: 0 0 4px 0 #5D737E,
                inset -2px 2px 6px 2px #5D737E;
    border-radius: 10px;
}
/* ::-webkit-scrollbar-track:hover {
    background-color: #2C3E5022;
} */
::-webkit-scrollbar-thumb {
    background-color: #1A2838;
    box-shadow: 0 0 2px 0 #5D737EAA,
                inset -2px 2px 6px 2px #5D737EAA;
    border-radius: 20px;
}
::-webkit-scrollbar-thumb:hover {
    background-color: #A9014B;
    box-shadow: 0 0 4px 0 #5D737E,
                inset -1px 1px 4px 1px #5D737EAA;
    
}
::-webkit-scrollbar-corner {
    display: none;
    /* background-color: #CCCCCCAA;
    box-shadow: 0 0 4px 0 #5D737E,
                inset -2px 2px 6px 2px #5D737E; */
    /* border-radius: 10px; */
}
/* ::-webkit-scrollbar-button {} */
